#include "CyanBusInjector.hpp"

// C++ system level
#include <string>
#include <cinttypes>
// #include <functional>

// ESP32 specific
// #include "esp_err.h"
// #include "esp_log.h"
// #include "driver/gpio.h"
// #include "driver/uart.h"
// #include "freertos/FreeRTOS.h"
// #include "freertos/queue.h"

// project specific
#include "CyanBusTX.hpp"

// qthing stuff
#include <qthing>


// TODO: Needed…?
const char* const TAG = "CyanBusInjector";


namespace SiliconTorch {

  namespace CyanBusInjector {

    const std::string BreakHeader("[CyanBusBreak]");
    const std::string PacketHeader("[CyanBusInjector]");

    CyanBusInjector::CyanBusInjector(uint8_t tx, uint8_t rx, uint8_t de, uint8_t re, uint32_t baudRate, uint8_t uartChannel) : cbTX(tx, rx, de, re, baudRate, uartChannel) {


      // qthing::addUDPPacketCallback();

    }



  }
}
