#!/usr/bin/env nix-shell
#!nix-shell -p python3 -i python

import json
import math


off = (155, 89)
r = 25
cnt = 6

out = {}


def rect(r, theta):
  x = r * math.cos(math.radians(theta))
  y = r * math.sin(math.radians(theta))
  return x, y


i = 1
for theta in range(0, 360, int(360/cnt)):
  dx, dy = rect(r, theta + 90)
  d = {'x': dx + off[0], 'y': dy + off[1], 'rot': -theta}

  dx, dy = rect(r - 6.5, theta + 90)
  _r = {'x': dx + off[0], 'y': dy + off[1], 'rot': -theta}

  dx, dy = rect(r + 5, theta - 90 + 30)
  h = {'x': dx + off[0], 'y': dy + off[1], 'rot': -theta}

  out_name = 'D' + str(i+1)
  out[out_name] = d

  out_name = 'R' + str(i+1)
  out[out_name] = _r

  out_name = 'H' + str(i)
  out[out_name] = h

  i = i + 1



with open('/home/fxk8y/placement.json', 'w') as f:
  f.write(json.dumps(out))
