#pragma once

#include <cinttypes>

#include <string>


class IRSender {
  public:
    IRSender(uint8_t TXpin, uint8_t CLKpin, uint8_t UARTchannel = 1, uint8_t LEDCchannel = 7);

    void send(uint8_t byte);
    void send(std::string &data);
    void send(uint8_t *buffer, size_t length);


};
