#include "Util.hpp"

// ESP32 specific
#include "esp_timer.h"

// C++ system level
#include <cinttypes>

// project specific
// #include "MyHeader.hpp"



namespace SpiderLib {


  uint32_t Time::s()  { return (uint32_t)(esp_timer_get_time() / 1000000ULL); }
  uint64_t Time::ms() { return (uint64_t)(esp_timer_get_time() /    1000ULL); }
  uint64_t Time::us() { return (uint64_t) esp_timer_get_time(); }

}
